process SecondDegree_ABSTRACT =
     ( ? real a, b, c;
       ! boolean err;
         real x21, x2;
         boolean stable, C_y, C_bb, C_err, C_x;
     )
   pragmas 
      Grey_Box "SecondDegree"
   end pragmas
   (| (| Tick := true
       | when Tick ^= stable ^= C_y ^= C_x
       | when stable ^= a ^= b ^= c ^= C_bb
       | when C_y ^= x2
       | when C_bb ^= C_err
       | when C_err ^= err
       | when C_x ^= x21
       |)
    | (| nlabel :: (err,x21,x2,C_y,C_err,C_x) := SecondDegree_Cluster_1()
       | nlabel ^= when Tick
       |)
    | (| nlabel_342 :: SecondDegree_Cluster_2(b)
       | nlabel_342 ^= when stable
       |)
    | (| nlabel_343 :: SecondDegree_Cluster_3(c)
       | nlabel_343 ^= when stable
       |)
    | (| nlabel_344 :: C_bb := SecondDegree_Cluster_4(a)
       | nlabel_344 ^= when Tick
       |)
    | (| nlabel_368 :: stable := SecondDegree_Cluster_delays()
       | nlabel_368 ^= when Tick
       |)
    | (| c --> nlabel
       | b --> nlabel
       | a --> nlabel
       | nlabel_342 --> nlabel
       | b --> nlabel_342
       | a --> nlabel_342
       | nlabel_343 --> nlabel
       | c --> nlabel_343
       | a --> nlabel_343
       | nlabel_344 --> nlabel_343
       | nlabel_344 --> nlabel_342
       | nlabel_344 --> nlabel
       | a --> nlabel_344
       | nlabel_344 --> nlabel_368
       | nlabel_343 --> nlabel_368
       | nlabel_342 --> nlabel_368
       | nlabel --> nlabel_368
       |)
    |)
   where 
   boolean Tick;
   label nlabel, nlabel_342, nlabel_343, nlabel_344, nlabel_368; 
   action SecondDegree_Cluster_1 =
        ( ! boolean err;
            real x21;
            real x2;
            boolean C_y;
            boolean C_err;
            boolean C_x;
        )
      pragmas 
         Cluster
         Black_Box ""
      end pragmas
      external "C"
   %SecondDegree_Cluster_1%; 
   action SecondDegree_Cluster_2 =
        ( ? real b;
        )
      pragmas 
         Cluster
         Black_Box ""
      end pragmas
      external "C"
   %SecondDegree_Cluster_2%; 
   action SecondDegree_Cluster_3 =
        ( ? real c;
        )
      pragmas 
         Cluster
         Black_Box ""
      end pragmas
      external "C"
   %SecondDegree_Cluster_3%; 
   action SecondDegree_Cluster_4 =
        ( ? real a;
          ! boolean C_bb;
        )
      pragmas 
         Cluster
         Black_Box ""
      end pragmas
      external "C"
   %SecondDegree_Cluster_4%; 
   action SecondDegree_Cluster_delays =
        ( ! boolean stable init true;
        )
      pragmas 
         DelayCluster
         Cluster
         Black_Box ""
      end pragmas
      external "C"
   %SecondDegree_Cluster_delays%; 
   end
%SecondDegree_ABSTRACT%; 
