process equationSolving_bDC_TRA =
     ( ? real a, b, c;
       ! real x2, x1;
         boolean error;
     )
   pragmas 
      main
   end pragmas
   (| (| Tick := true
       | ACT_Tick{}
       |)
    | (| {c --> err} when C_err
       | {c --> x21} when C_252
       | {c --> x2} when C_237
       | {b --> err} when C_err
       | {b --> x21} when C_252
       | {b --> x2} when C_237
       | {a --> err} when C_err
       | {a --> x21} when C_252
       | {a --> x2} when C_237
       |)
    |)
   where 
   constant real cst_epsilon = 0.0001;
   boolean Tick;
   process ACT_Tick =
        ( )
      (| when Tick ^= C_x ^= stable ^= C_y ^= C_237 ^= C_252 ^= C_cc_266 ^= C_u ^= C_307
       | (| when stable ^= a ^= b ^= c ^= C_bb ^= XZX_126
          | ACT_stable{}
          |)
       | (| when C_y ^= x2 |)
       | (| when C_x ^= x21 |)
       | (| when C_u ^= x1
          | ACT_C_u{}
          |)
       | (| (err,x21,x2,stable,C_y,C_bb,C_err,C_x) := SecondDegree_ABS(a,b,c)
          | C_237 := stable and C_y
          | C_252 := stable and C_x
          | C_cc_266 := left_tt ( C_cc,stable )
          | C_u := C_x or C_cc_266
          | C_307 := (not C_x) and C_cc_266
          |)
       |)
      where 
      boolean err, C_x, C_bb, C_err, stable, C_y, XZX_126, C_237, C_252, C_cc, C_cc_266, C_u, C_307;
      real x, x21;
      process ACT_stable =
           ( )
         (| when stable ^= OK ^= err_231 ^= C_error_274 ^= C_error_283 ^= C_311
          | (| when C_bb ^= C_err
             | ACT_C_bb{}
             |)
          | (| when XZX_126 ^= C_cc ^= C_error
             | ACT_XZX_126{}
             |)
          | (| when C_error_283 ^= error
             | (| error := (true when err) default (err2 when C_311) |)
             |)
          | (| OK := a/=0.0
             | XZX_126 := not OK
             | err_231 := left_tt ( err,C_bb )
             | C_error_274 := left_tt ( C_error,XZX_126 )
             | C_error_283 := C_error_274 or err_231
             | C_311 := (not err_231) and C_error_274
             |)
          |)
         where 
         boolean OK, err2, err_231, C_error, C_error_274, C_error_283, C_311;
         process ACT_C_bb =
              ( )
            (| (| when C_err ^= err |) |)
         %ACT_C_bb%; 
         process ACT_XZX_126 =
              ( )
            (| when XZX_126 ^= bb_1 ^= cc_2
             | (| when C_cc ^= x
                | ACT_C_cc{}
                |)
             | (| when C_error ^= err2
                | (| err2 := (cc_2/=0.0) when C_error |)
                |)
             | (| bb_1 := b when XZX_126
                | cc_2 := c when XZX_126
                | C_cc := bb_1/=0.0
                | C_error := bb_1=0.0
                |)
             |)
            where 
            real bb_1, cc_2;
            process ACT_C_cc =
                 ( )
               (| when C_cc ^= bb ^= cc
                | (| x := -(cc/bb)
                   | bb := bb_1 when C_cc
                   | cc := cc_2 when C_cc
                   |)
                |)
               where 
               real bb, cc;
               end
            %ACT_C_cc%; 
            end
         %ACT_XZX_126%; 
         end
      %ACT_stable%; 
      process ACT_C_u =
           ( )
         (| when C_u ^= u
          | (| x1 := u
             | u := (x21 when C_x) default (x when C_307)
             |)
          |)
         where 
         real u;
         end
      %ACT_C_u%; 
      end
   %ACT_Tick%; 
   process SecondDegree_ABS =
        ( ? real a, b, c;
          ! boolean err;
            real x21, x2;
            boolean stable init true, C_y, C_bb, C_err, C_x;
        )
        spec (| (| a --> err
                 | b --> err
                 | c --> err
                 | a --> x21
                 | b --> x21
                 | c --> x21
                 | a --> x2
                 | b --> x2
                 | c --> x2
                 |)
              | (| stable ^= C_y ^= C_x
                 | when stable ^= a ^= b ^= c ^= C_bb
                 | when C_y ^= x2
                 | when C_bb ^= C_err
                 | when C_err ^= err
                 | when C_x ^= x21
                 |)
              |)
      pragmas 
         Black_Box "SecondDegree"
      end pragmas
      external "C"
   %SecondDegree_ABS%; 
   end
%equationSolving_bDC_TRA%; %(| C := not stable
                             | C_201 := not C_y
                             | C_bb_204 := left_tt ( C_bb,stable )
                             | C_207 := not C_bb
                             | C_err_210 := left_tt ( C_err,C_bb )
                             | C_err_213 := left_tt ( C_err,stable )
                             | C_216 := not C_err
                             | C_219 := not C_x
                             | XZX_222 := left_tt ( XZX_126,stable )
                             | C_225 := not XZX_126
                             | err_228 := left_tt ( err,C_err )
                             | C_234 := not err
                             | C_240 := C_y or C_err_213
                             | C_243 := C_x or C_240
                             | C_246 := C_x or C_err_213
                             | C_249 := C_x or C_bb_204
                             | C_255 := C_249 or C_y
                             | C_258 := C_243 or stable
                             | C_cc_263 := left_tt ( C_cc,XZX_126 )
                             | C_269 := not (bb_1/=0.0)
                             | C_277 := not (bb_1=0.0)
                             | C_280 := C_cc or C_error
                             | C_286 := C_error_283 or C_cc_263
                             | C_289 := left_tt ( C_286,stable )
                             | C_292 := C_x or C_289
                             | C_295 := C_292 or C_err_213
                             | C_298 := C_295 or XZX_222
                             | C_301 := C_295 or stable
                             |)***war: unused signals 
%
%
