process SecondDegree_TRA =
     ( ? event OK;
         real a, b, c;
       ! event err;
         real x21, x2;
     )
   pragmas 
      main
   end pragmas
   (| (| CLK_stable := ^CLK_stable
       | ACT_CLK_stable{}
       |)
    | (| {c --> x21} when CLK_365
       | {c --> x2} when CLK_363
       | {b --> x21} when CLK_365
       | {b --> x2} when CLK_363
       | {a --> x21} when CLK_365
       | {a --> x2} when CLK_363
       |)
    |)
   where 
   constant real epsilon = 0.000001;
   event CLK_stable;
   process ACT_CLK_stable =
        ( )
      (| CLK_stable ^= stable ^= yy ^= next_yy ^= biterate ^= mx ^= pre_next_yy ^= next_stable ^= s ^= XZX_140
       | (| CLK_63 := when biterate
          | CLK_64 := when (not biterate)
          |)
       | (| CLK_80 := when (XZX_140>=0.0)
          | CLK_81 := when (not (XZX_140>=0.0))
          |)
       | (| CLK_x2 := when (next_stable and biterate)
          | CLK_x2 ^= x2 ^= x1
          | ACT_CLK_x2{}
          | CLK_88 := when (not (next_stable and biterate))
          |)
       | (| CLK_a := when stable
          | CLK_a ^= a ^= b ^= c
          | ACT_CLK_a{}
          | CLK_119 := when (not stable)
          |)
       | (| CLK_135 := CLK_x2 ^+ CLK_a |)
       | (| CLK_x21 := CLK_x2 ^+ CLK_x
          | CLK_x21 ^= x21
          | ACT_CLK_x21{}
          |)
       | (| CLK_XZX_159 := CLK_x2 ^+ OK
          | CLK_XZX_159 ^= XZX_159
          | (| XZX_159 := (bb when OK) cell CLK_XZX_159 init 0.0e0 |)
          |)
       | (| CLK_141 := CLK_x ^- CLK_x2 |)
       | (| CLK_144 := CLK_stable ^- CLK_d |)
       | (| CLK_329 := CLK_63 ^* CLK_d |)
       | (| CLK_363 := CLK_x2 ^* CLK_a |)
       | (| CLK_365 := CLK_a ^* CLK_x21 |)
       | (| stable := next_stable$1 init true
          | yy := ((d/2.0) when CLK_d) default (pre_next_yy when CLK_144)
          | next_yy := (((yy+(mx/yy))/2.0) when CLK_63) default (yy when CLK_64)
          | biterate := CLK_d default ((not stable) when CLK_144)
          | mx := (d when CLK_d) cell CLK_stable init 0.0e0
          | pre_next_yy := next_yy$1 init 1.0
          | next_stable := s<epsilon
          | s := (XZX_140 when CLK_80) default ((-XZX_140) when CLK_81)
          | XZX_140 := next_yy-yy
          |)
       |)
      where 
      event CLK_365, CLK_363, CLK_329, CLK_144, CLK_141, CLK_XZX_159, CLK_x21, CLK_135, CLK_119, CLK_a, CLK_88, CLK_x2, CLK_81, CLK_80, CLK_64, CLK_63, CLK_x, CLK_d;
      boolean stable, biterate, next_stable;
      real d, bb, x, yy, next_yy, mx, pre_next_yy, s, XZX_140, XZX_159, x1;
      process ACT_CLK_x2 =
           ( )
         (| CLK_x2 ^= y ^= bb_100 ^= x_163
          | (| x2 := x_163
             | y := yy when CLK_x2
             | bb_100 := XZX_159 when CLK_x2
             | x_163 := -((bb_100-y)/2.0)
             | x1 := -((bb_100+y)/2.0)
             |)
          |)
         where 
         real y, bb_100, x_163;
         end
      %ACT_CLK_x2%; 
      process ACT_CLK_a =
           ( )
         (| (| OK ^= OK ^= bb
             | ACT_OK{}
             | CLK_38 := when (not (a/=0.0))
             |) |)
         where 
         event CLK_38;
         process ACT_OK =
              ( )
            (| OK ^= cc ^= dd ^= aa ^= XZX ^= XZX_66
             | (| CLK_d := when (dd>0.0)
                | CLK_d ^= d
                | (| d := dd when CLK_d |)
                | CLK := when (not (dd>0.0))
                |)
             | (| CLK_x := when (dd=0.0)
                | CLK_x ^= x
                | ACT_CLK_x{}
                | CLK_19 := when (not (dd=0.0))
                |)
             | (| err := when (dd<0.0)
                | err ^= err
                | CLK_21 := when (not (dd<0.0))
                |)
             | (| CLK_128 := CLK_x ^+ err |)
             | (| CLK_130 := CLK_d ^+ CLK_128 |)
             | (| CLK_132 := CLK_d ^+ err |)
             | (| bb := XZX/aa
                | cc := XZX_66/aa
                | dd := (bb*bb)-(4.0*cc)
                | aa := a when OK
                | XZX := b when OK
                | XZX_66 := c when OK
                |)
             |)
            where 
            event CLK_132, CLK_130, CLK_128, CLK_21, CLK_19, CLK;
            real cc, dd, aa, XZX, XZX_66;
            process ACT_CLK_x =
                 ( )
               (| CLK_x ^= XZX_75
                | (| x := (-XZX_75)/2.0
                   | XZX_75 := bb when CLK_x
                   |)
                |)
               where 
               real XZX_75;
               end
            %ACT_CLK_x%; 
            end
         %ACT_OK%; 
         end
      %ACT_CLK_a%; 
      process ACT_CLK_x21 =
           ( )
         (| CLK_x21 ^= x_181
          | (| x21 := x_181
             | x_181 := (x1 when CLK_x2) default (x when CLK_141)
             |)
          |)
         where 
         real x_181;
         end
      %ACT_CLK_x21%; 
      end
   %ACT_CLK_stable%; 
   end
%SecondDegree_TRA%; 
