process equationSolving_ABSTRACT =
     ( ? real a, b, c;
       ! real x2, x1;
         boolean error, stable init true, C_y, C_222, C_error_238, C_u, C_264;
     )
     spec (| (| {a --> x2} when C_222
              | {b --> x2} when C_222
              | {c --> x2} when C_222
              | a --> x1
              | b --> x1
              | {c --> x1} when C_264
              | a --> error
              | b --> error
              | c --> error
              |)
           | (| stable ^= C_y ^= C_222 ^= C_u ^= C_264
              | when stable ^= a ^= b ^= c ^= C_error_238
              | when C_y ^= x2
              | when C_error_238 ^= error
              | when C_u ^= x1
              |)
           |)
   pragmas 
      Black_Box "equationSolving"
   end pragmas

%equationSolving_ABSTRACT%; 
