process Q1Q2COST =
     ( ? real a;
         real b;
         real c;
       ! boolean error;
         real x1;
         real x2;
         integer lat;
         integer MaxLat;
     )
   pragmas 
      main
      Defined_clock_hierarchy
   end pragmas
   (| (| (| d_b := d_c_2
          | d_c := d_b_1
          | COMP_ABSTRACT{}
          |) where integer d_c, d_b; end
       | (| DateGenerator{}
          | d_b_1 := d_b
          | d_c_2 := d_c
          |) where HomoType d_b, d_c; end
       | (| d_deb := d_c_2
          | Latency{}
          |) where HomoType d_deb; end
       | MaxLatency{}
       |)/ dEnd, d_c_2, d_b_1, d_a, stable, d_x2, d_x1, d_error |)
   where 
   type HomoType = integer;
   constant HomoType NilHomoTypeValue = 0;
   use Cost_Context, STD, COSTBIB, M_Q1_COST, M_Q2_COST; 
   process COMP_ABSTRACT =
        ( ? real c;
            real b;
            real a;
            integer d_a, d_c, d_b;
          ! boolean error;
            real x1;
            real x2;
            boolean stable init true;
            integer d_error, d_x1;
            integer d_x2;
        )
      (| (| Q1_ABSTRACT{}
          | Q2_ABSTRACT{}
          | COST{}
          | d_a ^= d_b ^= d_c ^= a
          |) |)
      where 
      type HomoType = integer;
      constant NilHomoTypeValue = 0;
      real x;
      boolean error_253, C_cc, C_cc_328, C_error, C_error_342;
      integer d_x, d_error_253, d_C_cc, d_C_cc_328, d_C_error, d_C_error_342;
      boolean OK, C_y, C_error_360, C_x1, C_278, C_281, C_, C_C_error, C_305, C_308, C_310, C_315, C_322, C_356, C_error_1;
      integer d_OK, d_stable, d_C_y, d_C_error_360, d_C_x1;
      process Q1_ABSTRACT =
           ( ? real c, b, a, x;
               boolean err2, C_cc, C_cc_391, C_error, C_error_405;
             ! boolean error;
               real x1, x2;
               boolean OK, stable init true, C_y, C_x1, C_error_323;
           )
         pragmas 
            Grey_Box "Q1"
         end pragmas
         (| (| Tick := true
             | when Tick ^= stable ^= C_y ^= C_x1
             | when stable ^= c ^= b ^= a ^= C_cc ^= C_error_405 ^= OK ^= C_error_323
             | when C_cc ^= C_cc_391 ^= C_error
             | when C_cc_391 ^= x
             | when C_error ^= err2
             | when C_y ^= x2
             | when C_x1 ^= x1
             | when C_error_323 ^= error
             |)
          | (| nlabel :: error := Q1_Cluster_1(err2,C_error)
             | nlabel ^= when stable
             |)
          | (| nlabel_475 :: x1 := Q1_Cluster_2(x,C_cc_391)
             | nlabel_475 ^= when Tick
             |)
          | (| nlabel_476 :: (x2,C_y) := Q1_Cluster_3()
             | nlabel_476 ^= when Tick
             |)
          | (| nlabel_477 :: OK := Q1_Cluster_4(a)
             | nlabel_477 ^= when Tick
             |)
          | (| nlabel_478 :: Q1_Cluster_5(b)
             | nlabel_478 ^= when stable
             |)
          | (| nlabel_479 :: Q1_Cluster_6(C_cc,C_cc_391)
             | nlabel_479 ^= when Tick
             |)
          | (| nlabel_480 :: C_x1 := Q1_Cluster_7()
             | nlabel_480 ^= when Tick
             |)
          | (| nlabel_481 :: Q1_Cluster_8(C_error_405)
             | nlabel_481 ^= when stable
             |)
          | (| nlabel_482 :: Q1_Cluster_9(c)
             | nlabel_482 ^= when stable
             |)
          | (| nlabel_483 :: Q1_Cluster_10(C_cc)
             | nlabel_483 ^= when Tick
             |)
          | (| nlabel_484 :: Q1_Cluster_11(C_cc,C_error)
             | nlabel_484 ^= when stable
             |)
          | (| nlabel_485 :: C_error_323 := Q1_Cluster_12()
             | nlabel_485 ^= when stable
             |)
          | (| nlabel_486 :: Q1_Cluster_13()
             | nlabel_486 ^= when stable
             |)
          | (| nlabel_529 :: stable := Q1_Cluster_delays()
             | nlabel_529 ^= when Tick
             |)
          | (| C_error_405 --> nlabel
             | C_error --> nlabel
             | C_cc --> nlabel
             | err2 --> nlabel
             | a --> nlabel
             | b --> nlabel
             | c --> nlabel
             | C_cc_391 --> nlabel_475
             | C_cc --> nlabel_475
             | x --> nlabel_475
             | a --> nlabel_475
             | b --> nlabel_475
             | c --> nlabel_475
             | nlabel_476 --> nlabel_486
             | nlabel_476 --> nlabel_485
             | nlabel_476 --> nlabel_481
             | nlabel_476 --> nlabel_480
             | nlabel_476 --> nlabel_475
             | nlabel_476 --> nlabel
             | a --> nlabel_476
             | b --> nlabel_476
             | c --> nlabel_476
             | nlabel_477 --> nlabel_482
             | nlabel_477 --> nlabel_478
             | nlabel_477 --> nlabel_476
             | nlabel_477 --> nlabel_475
             | nlabel_477 --> nlabel
             | a --> nlabel_477
             | nlabel_478 --> nlabel_476
             | b --> nlabel_478
             | nlabel_479 --> nlabel_480
             | C_cc_391 --> nlabel_479
             | C_cc --> nlabel_479
             | nlabel_480 --> nlabel_475
             | nlabel_481 --> nlabel_486
             | C_error_405 --> nlabel_481
             | nlabel_482 --> nlabel_476
             | c --> nlabel_482
             | nlabel_483 --> nlabel_480
             | nlabel_483 --> nlabel_479
             | C_cc --> nlabel_483
             | nlabel_484 --> nlabel_485
             | C_error --> nlabel_484
             | C_cc --> nlabel_484
             | nlabel_485 --> nlabel_486
             | nlabel_485 --> nlabel
             | nlabel_486 --> nlabel_529
             | nlabel_485 --> nlabel_529
             | nlabel_484 --> nlabel_529
             | nlabel_483 --> nlabel_529
             | nlabel_482 --> nlabel_529
             | nlabel_481 --> nlabel_529
             | nlabel_480 --> nlabel_529
             | nlabel_479 --> nlabel_529
             | nlabel_478 --> nlabel_529
             | nlabel_477 --> nlabel_529
             | nlabel_476 --> nlabel_529
             | nlabel_475 --> nlabel_529
             | nlabel --> nlabel_529
             |)
          |)
         where 
         boolean Tick;
         label nlabel, nlabel_475, nlabel_476, nlabel_477, nlabel_478, nlabel_479, nlabel_480, nlabel_481, nlabel_482, nlabel_483, nlabel_484, nlabel_485, nlabel_486, nlabel_529; 
         action Q1_Cluster_1 =
              ( ? boolean err2;
                  boolean C_error;
                ! boolean error;
              )
            pragmas 
               Cluster
               Black_Box ""
            end pragmas
            external "C"
         ; 
         action Q1_Cluster_2 =
              ( ? real x;
                  boolean C_cc_391;
                ! real x1;
              )
            pragmas 
               Cluster
               Black_Box ""
            end pragmas
            external "C"
         ; 
         action Q1_Cluster_3 =
              ( ! real x2;
                  boolean C_y;
              )
            pragmas 
               Cluster
               Black_Box ""
            end pragmas
            external "C"
         ; 
         action Q1_Cluster_4 =
              ( ? real a;
                ! boolean OK;
              )
            pragmas 
               Cluster
               Black_Box ""
            end pragmas
            external "C"
         ; 
         action Q1_Cluster_5 =
              ( ? real b;
              )
            pragmas 
               Cluster
               Black_Box ""
            end pragmas
            external "C"
         ; 
         action Q1_Cluster_6 =
              ( ? boolean C_cc;
                  boolean C_cc_391;
              )
            pragmas 
               Cluster
               Black_Box ""
            end pragmas
            external "C"
         ; 
         action Q1_Cluster_7 =
              ( ! boolean C_x1;
              )
            pragmas 
               Cluster
               Black_Box ""
            end pragmas
            external "C"
         ; 
         action Q1_Cluster_8 =
              ( ? boolean C_error_405;
              )
            pragmas 
               Cluster
               Black_Box ""
            end pragmas
            external "C"
         ; 
         action Q1_Cluster_9 =
              ( ? real c;
              )
            pragmas 
               Cluster
               Black_Box ""
            end pragmas
            external "C"
         ; 
         action Q1_Cluster_10 =
              ( ? boolean C_cc;
              )
            pragmas 
               Cluster
               Black_Box ""
            end pragmas
            external "C"
         ; 
         action Q1_Cluster_11 =
              ( ? boolean C_cc;
                  boolean C_error;
              )
            pragmas 
               Cluster
               Black_Box ""
            end pragmas
            external "C"
         ; 
         action Q1_Cluster_12 =
              ( ! boolean C_error_323;
              )
            pragmas 
               Cluster
               Black_Box ""
            end pragmas
            external "C"
         ; 
         action Q1_Cluster_13 =
              ( )
            pragmas 
               Cluster
               Black_Box ""
            end pragmas
            external "C"
         ; 
         action Q1_Cluster_delays =
              ( ! boolean stable init true;
              )
            pragmas 
               DelayCluster
               Cluster
               Black_Box ""
            end pragmas
            external "C"
         ; 
         end
      ; 
      process Q2_ABSTRACT =
           ( ? real c, b;
               boolean OK;
             ! real x;
               boolean err2, C_cc, C_cc_391, C_error, C_error_405;
           )
         pragmas 
            Grey_Box "Q2"
         end pragmas
         (| (| Tick := true
             | when Tick ^= c ^= b ^= OK ^= C_cc ^= C_error_405
             | when C_cc ^= C_cc_391 ^= C_error
             | when C_cc_391 ^= x
             | when C_error ^= err2
             |)
          | (| nlabel :: (x,err2) := Q2_Cluster_1()
             | nlabel ^= when C_cc
             |)
          | (| nlabel_68 :: C_cc := Q2_Cluster_2(OK)
             | nlabel_68 ^= when Tick
             |)
          | (| nlabel_69 :: (C_cc_391,C_error,C_error_405) := Q2_Cluster_3(b)
             | nlabel_69 ^= when Tick
             |)
          | (| nlabel_70 :: Q2_Cluster_4(c)
             | nlabel_70 ^= when Tick
             |)
          | (| OK --> nlabel
             | b --> nlabel
             | c --> nlabel
             | nlabel_68 --> nlabel_70
             | nlabel_68 --> nlabel_69
             | nlabel_68 --> nlabel
             | OK --> nlabel_68
             | nlabel_69 --> nlabel
             | OK --> nlabel_69
             | b --> nlabel_69
             | nlabel_70 --> nlabel
             | c --> nlabel_70
             |)
          |)
         where 
         boolean Tick;
         label nlabel, nlabel_68, nlabel_69, nlabel_70; 
         action Q2_Cluster_1 =
              ( ! real x;
                  boolean err2;
              )
            pragmas 
               Cluster
               Black_Box ""
            end pragmas
            external "C"
         ; 
         action Q2_Cluster_2 =
              ( ? boolean OK;
                ! boolean C_cc;
              )
            pragmas 
               Cluster
               Black_Box ""
            end pragmas
            external "C"
         ; 
         action Q2_Cluster_3 =
              ( ? real b;
                ! boolean C_cc_391;
                  boolean C_error;
                  boolean C_error_405;
              )
            pragmas 
               Cluster
               Black_Box ""
            end pragmas
            external "C"
         ; 
         action Q2_Cluster_4 =
              ( ? real c;
              )
            pragmas 
               Cluster
               Black_Box ""
            end pragmas
            external "C"
         ; 
         end
      ; 
      process COST =
           ( ? integer d_a;
               integer d_b;
               integer d_c;
             ! integer d_error;
               integer d_x1;
               integer d_x2;
           )
         (| Q1_COST{}
          | Q2_COST{}
          |) where d_C_error_405, d_C_cc_391, d_C_error_323; end
      ; 
      end
   ; 
   process DateGenerator =
        ( ? dEnd;
          ! d_a;
            HomoType d_b;
            HomoType d_c;
        )
      (| d := ((dEnd$ init NilHomoTypeValue) when (^d_a))+(d$ init NilHomoTypeValue)
       | d_a := d
       | d_b := d
       | d_c := d
       |)
      where 
      HomoType d;
      end
   ; 
   process MaxLatency =
        ( ? HomoType lat;
          ! HomoType MaxLat;
        )
      (| MaxLat := (lat when (lat>ZMaxLat)) default ZMaxLat
       | ZMaxLat := MaxLat$1 init NilHomoTypeValue
       | ZMaxLat ^= lat
       |)
      where 
      HomoType ZMaxLat;
      end
   ; 
   process Latency =
        ( ? d_deb;
            boolean stable;
            HomoType d_x1;
            HomoType d_x2;
            HomoType d_error;
          ! HomoType dEnd;
            HomoType lat;
        )
      (| d_end := MAX(MAX(d_x1,d_x2),d_error)
       | dEnd := d_end cell (^stable)
       | l := dEnd-(d_deb cell (^stable))
       | lat := l when (^d_end)
       |)
      where 
      HomoType l, d_end;
      process MAX =
           ( ? HomoType IN1;
               HomoType IN2;
             ! HomoType MAX_VAL;
           )
         (| HCOMMON := (when (^IN1)) when (^IN2)
          | c1 := IN1 when HCOMMON
          | c2 := IN2 when HCOMMON
          | MAX_VAL := (IN1 when (c1>c2)) default IN2 default IN1
          |)
         where 
         event HCOMMON;
         HomoType c1, c2;
         end
      ; 
      end
   ; 
   integer d_error, d_x1, d_x2;
   boolean stable init true;
   HomoType d_a, d_b_1, d_b, d_c_2, d_c, dEnd;
   end
; 
